Subject: Re: AArch64 honeycomb machines aren’t building stuff

From: Ricardo Wurmus <[email-masked]>
Date: Wed, 10 Aug 2022 19:55:49 +0200

Hi,

Ludovic Courtès <[email-masked]> writes:

> Ludovic Courtès <[email-masked]> skribis:
>
>> guix-daemon is configured to use the default substitute URLs,
>> https://ci.guix.gnu.org and https://bordeaux.guix.gnu.org, which we know
>> are unreachable.
>>
>> I’ve theoretically addressed this here:
>>
>>   https://git.savannah.gnu.org/cgit/guix/maintenance.git/commit/?id=99bd9dc9001d6bea7480a7ce0e0e10ff78adb787
>>   https://git.savannah.gnu.org/cgit/guix/maintenance.git/commit/?id=b0661cc7d6dd74b0aeac3b052a80a8a2fef2af9c
>>
>> I tried to reconfigure those boxes with ‘guix deploy’, but this is
>> currently on hold because ci.guix has run out of inodes…
>
> Time passed and I had kinda forgotten about it, but the problem remains.

I wrote this earlier:

> They should be using the local IP instead of routing through the
> internet, so /etc/hosts should contain an entry for
>
> 141.80.167.131 ci.guix.gnu.org

So running the daemon with “--substitute-urls=http://10.0.0.1” should
not be necessary.

-- 
Ricardo